INTERFACE
SUBROUTINE LAPINEA(&
 & KST,KPROF,&
 & PCOLON,PSILON,PGM,PGEMU,PGSQM2,PGECLO,PGESLO,PGNORDL,PGNORDM,PINDX,PINDY,&
 & PB1,PB2,&
 & KVSEPC,KVSEPL,&
 & PLON,PLAT,&
 & PQX,PQY,PR,PS,&
 & PUF,PVF,&
 & KL0,KLH0,&
 & PDLO,PCLO,PCLOSLD,&
 & PDLAT,PCLA,PCLASLD,&
 & KLEV,PDVER,&
 & PVINTW,PVINTWSLD,PVINTWS,&
 & KL0H,&
 & PDLOH,PCLOH,PCLOHSLD,&
 & PDLATH,PCLAH,PCLAHSLD,&
 & PDVERH,PVINTWH,PVINTWHSLD,&
 & PCOSCO,PSINCO,PCOPHI,PSINLA,&
 & PVDERW,PHVW,PGFLT1) 
USE PARKIND1 , ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NDGSAG ,NDGSAL ,NDGENG ,NDGENL ,NDGUNG ,&
 & NDGUXG ,NDLUNG ,NDLUXG ,NFLEVG ,NDGSAH ,&
 & NDGENH ,NRLEVX ,NPROMA ,NFLSA ,NFLEN 
USE YOMSC2 , ONLY : NSLWIDE ,NFLDSLB1 ,NFLDSLB2
USE YOMMP , ONLY : NSLOFF ,NFRSTLOFF,NASLB1
USE YOM_YGFL , ONLY : YGFL ,YGFLC ,YSLDIA ,YSLDIA_NL,NSLDIA ,NSLDIAGP
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
REAL(KIND=JPRB) ,INTENT(IN) :: PCOLON(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSILON(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGSQM2(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGECLO(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGESLO(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PINDX(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PINDY(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PB1(NASLB1,NFLDSLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: PB2(NPROMA,NFLDSLB2)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KVSEPC
INTEGER(KIND=JPIM),INTENT(INOUT) :: KVSEPL
REAL(KIND=JPRB) ,INTENT(OUT) :: PLON(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLAT(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQX(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PQY(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PR(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PS(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PUF(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVF(NPROMA,NFLEVG)
INTEGER(KIND=JPIM),INTENT(OUT) :: KL0(NPROMA,NFLEVG,0:3)
INTEGER(KIND=JPIM),INTENT(OUT) :: KLH0(NPROMA,NFLEVG,0:3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDLO(NPROMA,NFLEVG,0:3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLO(NPROMA,NFLEVG,3,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLOSLD(NPROMA,NFLEVG,3,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDLAT(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLA(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLASLD(NPROMA,NFLEVG,3)
INTEGER(KIND=JPIM),INTENT(OUT) :: KLEV(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDVER(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVINTW(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVINTWSLD(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVINTWS(NPROMA,NFLEVG,1:4)
INTEGER(KIND=JPIM),INTENT(OUT) :: KL0H(NPROMA,0:NFLEVG-1,0:3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDLOH(NPROMA,0:NFLEVG-1,0:3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLOH(NPROMA,0:NFLEVG-1,3,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLOHSLD(NPROMA,0:NFLEVG-1,3,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDLATH(NPROMA,0:NFLEVG-1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLAH(NPROMA,0:NFLEVG-1,3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLAHSLD(NPROMA,0:NFLEVG-1,3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDVERH(NPROMA,0:NFLEVG-1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVINTWH(NPROMA,0:NFLEVG-1,3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVINTWHSLD(NPROMA,0:NFLEVG-1,3)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCOSCO(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSINCO(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCOPHI(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSINLA(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PVDERW(NPROMA,NFLEVG,2,2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PHVW(NPROMA,NFLEVG,4)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGFLT1(NPROMA,NFLEVG,YGFL%NDIM1)
END SUBROUTINE LAPINEA
END INTERFACE
